Page MenuHomePhabricator

Integrate SocialProfile with Echo
Closed, ResolvedPublic

Description

This enhancement suggestion is coming from what was posted here: http://meta.brickimedia.org/wiki/User_blog:Jack_Phoenix/Enabling_more_social_features_on_Brickimedia#comment-103

It would be good if SocialProfile was able to integrate with Echo (notifications) if the wiki is using Echo. This could allow for SocialProfile notifications to be included, such as:

  • "User1 sent you a gift"
  • "You earned the ______ award"
  • "Your user level is now 'Lieutenant'"
  • "User1 added you as a friend"
  • "User1 added you as a foe"
  • "User1 left you a message on your board"

Others could be added, or some of those listed above don't have to be used-- they're just suggestions. :)


Version: unspecified
Severity: enhancement

Details

Reference
bz62520

Event Timeline

bzimport raised the priority of this task from to Needs Triage.Nov 22 2014, 2:59 AM
bzimport added a project: SocialProfile.
bzimport set Reference to bz62520.
lcawte triaged this task as Lowest priority.Nov 27 2014, 2:50 PM
lcawte set Security to None.

Extension:Comments and Extension:WikiForum should be integrated with Echo as well. Should they be added as a separate task in the Social-Tools project, or continue to just use this task?

lcawte added a subscriber: lcawte.Mar 18 2015, 12:14 AM

Separate tasks, we can create a tracking task later if nessesary.

ashley removed ashley as the assignee of this task.Feb 6 2016, 5:49 PM
ashley added subscribers: UltrasonicNXT, ashley.

Seems that our Korean friends at WikiChan (namely GitHub user ikasty) have implemented some Echo support in their fork of SocialProfile (see this pull request for details):

The code isn't perfect (though obviously better than anything I've been able to come up with :P) and needs some slight cleanup, but it's GPLv2-licensed, just like SocialProfile, and the WikiChan fork is maintained.

cc'ing @UltrasonicNXT for comments on this.

If that code is functional, regardless of the code's cleanliness currently, I wouldn't oppose adding it to Brickimedia production wikis to test it and gather feedback from users.

Change 278868 had a related patch set uploaded (by Jack Phoenix):
[WIP] Initial Echo integration and replacement of old AJAX stuff with API modules, based on ikasty's code

https://gerrit.wikimedia.org/r/278868

MacFan4000 assigned this task to ashley.Apr 1 2016, 10:34 PM
MacFan4000 raised the priority of this task from Lowest to Low.
MacFan4000 added a subscriber: MacFan4000.
Restricted Application added a project: Collaboration-Team-Triage. · View Herald TranscriptApr 1 2016, 10:36 PM
Restricted Application added a project: Collaboration-Team-Triage. · View Herald TranscriptApr 1 2016, 10:43 PM
Restricted Application added a project: Collaboration-Team-Triage. · View Herald TranscriptApr 1 2016, 10:44 PM
Tuxxic added a subscriber: Tuxxic.Oct 5 2016, 12:27 PM

Change 278868 merged by Lewis Cawte:
Initial Echo integration, based on ikasty's code

https://gerrit.wikimedia.org/r/278868

ashley closed this task as Resolved.Dec 4 2016, 4:44 PM
ashley removed a project: Patch-For-Review.